Retrieve a support ticket | Moov Documentation

Retrieve a support ticket

Retrieve a support ticket by ID.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/tickets.read scope.

If you're retrieving another account's ticket, then you'll need to specify the /accounts/{partnerAccountID}/tickets.read and /accounts/{accountID}/profile.read scopes.

GET

/accounts/{accountID}/tickets/{ticketID}

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/tickets/{ticketID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00"

Example Code Snippets

Ask

mc, _ := moov.NewClient()

var accountID string // customer
var ticketID string

mc.GetTicket(ctx, accountID, ticketID)

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.support.getTicket({
    accountID: "873ccb78-88b3-4520-85f2-7cc2aef5704b",
    ticketID: "91fea9bf-b373-40f7-86e0-2c80690126e4",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\